Feste IP-Adresse

This commit is contained in:
2021-03-18 17:32:11 +01:00
committed by root
parent 19c4dca2b2
commit 3b6b1dbf08
6 changed files with 66 additions and 35 deletions

View File

@@ -190,6 +190,7 @@ maybe chmod 0644 'dhcp/dhclient-exit-hooks.d/timesyncd'
maybe chmod 0644 'dhcp/dhclient.conf' maybe chmod 0644 'dhcp/dhclient.conf'
maybe chgrp 'netdev' 'dhcpcd.conf' maybe chgrp 'netdev' 'dhcpcd.conf'
maybe chmod 0664 'dhcpcd.conf' maybe chmod 0664 'dhcpcd.conf'
maybe chmod 0644 'dhcpcd.conf.orig'
maybe chmod 0644 'dphys-swapfile' maybe chmod 0644 'dphys-swapfile'
maybe chmod 0755 'dpkg' maybe chmod 0755 'dpkg'
maybe chmod 0644 'dpkg/dpkg.cfg' maybe chmod 0644 'dpkg/dpkg.cfg'
@@ -293,7 +294,6 @@ maybe chmod 0755 'init.d/nfs-common'
maybe chmod 0755 'init.d/paxctld' maybe chmod 0755 'init.d/paxctld'
maybe chmod 0755 'init.d/procps' maybe chmod 0755 'init.d/procps'
maybe chmod 0755 'init.d/raspi-config' maybe chmod 0755 'init.d/raspi-config'
maybe chmod 0755 'init.d/resize2fs_once'
maybe chmod 0755 'init.d/rng-tools' maybe chmod 0755 'init.d/rng-tools'
maybe chmod 0755 'init.d/rpcbind' maybe chmod 0755 'init.d/rpcbind'
maybe chmod 0755 'init.d/rsync' maybe chmod 0755 'init.d/rsync'

View File

@@ -36,16 +36,16 @@ option interface_mtu
require dhcp_server_identifier require dhcp_server_identifier
# Generate SLAAC address using the Hardware Address of the interface # Generate SLAAC address using the Hardware Address of the interface
#slaac hwaddr slaac hwaddr
# OR generate Stable Private IPv6 Addresses based from the DUID # OR generate Stable Private IPv6 Addresses based from the DUID
slaac private #slaac private
# Example static IP configuration: # Example static IP configuration:
#interface eth0 interface eth0
#static ip_address=192.168.0.10/24 static ip_address=192.168.188.10/24
#static ip6_address=fd51:42f8:caae:d92e::ff/64 #static ip6_address=fd51:42f8:caae:d92e::ff/64
#static routers=192.168.0.1 static routers=192.168.188.1
#static domain_name_servers=192.168.0.1 8.8.8.8 fd51:42f8:caae:d92e::1 static domain_name_servers=192.168.188.1
# It is possible to fall back to a static IP if DHCP fails: # It is possible to fall back to a static IP if DHCP fails:
# define static profile # define static profile

59
dhcpcd.conf.orig Normal file
View File

@@ -0,0 +1,59 @@
# A sample configuration for dhcpcd.
# See dhcpcd.conf(5) for details.
# Allow users of this group to interact with dhcpcd via the control socket.
#controlgroup wheel
# Inform the DHCP server of our hostname for DDNS.
hostname
# Use the hardware address of the interface for the Client ID.
clientid
# or
# Use the same DUID + IAID as set in DHCPv6 for DHCPv4 ClientID as per RFC4361.
# Some non-RFC compliant DHCP servers do not reply with this set.
# In this case, comment out duid and enable clientid above.
#duid
# Persist interface configuration when dhcpcd exits.
persistent
# Rapid commit support.
# Safe to enable by default because it requires the equivalent option set
# on the server to actually work.
option rapid_commit
# A list of options to request from the DHCP server.
option domain_name_servers, domain_name, domain_search, host_name
option classless_static_routes
# Respect the network MTU. This is applied to DHCP routes.
option interface_mtu
# Most distributions have NTP support.
#option ntp_servers
# A ServerID is required by RFC2131.
require dhcp_server_identifier
# Generate SLAAC address using the Hardware Address of the interface
#slaac hwaddr
# OR generate Stable Private IPv6 Addresses based from the DUID
slaac private
# Example static IP configuration:
#interface eth0
#static ip_address=192.168.0.10/24
#static ip6_address=fd51:42f8:caae:d92e::ff/64
#static routers=192.168.0.1
#static domain_name_servers=192.168.0.1 8.8.8.8 fd51:42f8:caae:d92e::1
# It is possible to fall back to a static IP if DHCP fails:
# define static profile
#profile static_eth0
#static ip_address=192.168.1.23/24
#static routers=192.168.1.1
#static domain_name_servers=192.168.1.1
# fallback to static profile on eth0
#interface eth0
#fallback static_eth0

View File

@@ -1,26 +0,0 @@
#!/bin/sh
### BEGIN INIT INFO
# Provides: resize2fs_once
# Required-Start:
# Required-Stop:
# Default-Start: 3
# Default-Stop:
# Short-Description: Resize the root filesystem to fill partition
# Description:
### END INIT INFO
. /lib/lsb/init-functions
case "$1" in
start)
log_daemon_msg "Starting resize2fs_once" &&
resize2fs "/dev/mmcblk0p2" &&
update-rc.d resize2fs_once remove &&
rm /etc/init.d/resize2fs_once &&
log_end_msg $?
;;
*)
echo "Usage: $0 start" >&2
exit 3
;;
esac

View File

@@ -1 +0,0 @@
../init.d/resize2fs_once

View File

@@ -1,4 +1,3 @@
# Generated by resolvconf # Generated by resolvconf
domain fritz.box
nameserver 192.168.188.1 nameserver 192.168.188.1
nameserver fd00::2e91:abff:fe5c:ce49 nameserver fd00::2e91:abff:fe5c:ce49